org.bdgenomics.adam.io

# FastqInputFormat

#### abstract class FastqInputFormat extends FileInputFormat[Void, Text]

Linear Supertypes
FileInputFormat[Void, Text], InputFormat[Void, Text], AnyRef, Any
Known Subclasses
InterleavedFastqInputFormat, SingleFastqInputFormat
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FastqInputFormat
2. FileInputFormat
3. InputFormat
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastqInputFormat()

### Abstract Value Members

1. #### abstract def createRecordReader(arg0: InputSplit, arg1: TaskAttemptContext): RecordReader[Void, Text]

   Definition Classes
     InputFormat
   Annotations
     @throws( ... ) @throws( classOf[java.io.IOException] )

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def addInputPathRecursively(arg0: List[FileStatus], arg1: FileSystem, arg2: Path, arg3: PathFilter): Unit

   Attributes
     protected[org.apache.hadoop.mapreduce.lib.input]
   Definition Classes
     FileInputFormat
   Annotations
     @throws( classOf[java.io.IOException] )

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def computeSplitSize(arg0: Long, arg1: Long, arg2: Long): Long

   Attributes
     protected[org.apache.hadoop.mapreduce.lib.input]
   Definition Classes
     FileInputFormat

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### def getBlockIndex(arg0: Array[BlockLocation], arg1: Long): Int

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def getFormatMinSplitSize(): Long

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

16. #### def getSplits(arg0: JobContext): List[InputSplit]

    Definition Classes
      FileInputFormat → InputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isSplitable(context: JobContext, filename: Path): Boolean

    Attributes
      protected[org.bdgenomics.adam.io]
    Definition Classes
      FastqInputFormat → FileInputFormat

20. #### def listStatus(arg0: JobContext): List[FileStatus]

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat
    Annotations
      @throws( classOf[java.io.IOException] )

21. #### def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String], arg4: Array[String]): FileSplit

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

22. #### def makeSplit(arg0: Path, arg1: Long, arg2: Long, arg3: Array[String]): FileSplit

    Attributes
      protected[org.apache.hadoop.mapreduce.lib.input]
    Definition Classes
      FileInputFormat

23. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FileInputFormat[Void, Text]

### Inherited from InputFormat[Void, Text]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped